using ThinkGeo.MapSuite.Drawing;

namespace ThinkGeo.MapSuite.Styles
{
    public static class WorldStreetsAreaStyles
    {
        public static AreaStyle BaseLand()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent), new GeoSolidBrush(new GeoColor(255, 250, 247, 243)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.BaseLand";
            return areaStyle;
        }

        public static AreaStyle NationalPark()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 220, 235, 194)), new GeoSolidBrush(new GeoColor(255, 220, 235, 194)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.NationalPark";
            return areaStyle;
        }

        public static AreaStyle ProtectedArea()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(128, 203, 223, 171)), new GeoSolidBrush(new GeoColor(128, 203, 223, 171)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.ProtectedArea";
            return areaStyle;
        }

        public static AreaStyle Water()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 160, 207, 235)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Water";
            return areaStyle;
        }

        public static AreaStyle Orchard()
        {
            AreaStyle areaStyle = new AreaStyle();
            areaStyle.Advanced.FillCustomBrush = new GeoHatchBrush(GeoHatchStyle.Percent80, new GeoColor(255, 159, 216, 144), new GeoColor(255, 204, 153, 0));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Orchard";
            return areaStyle;
        }

        public static AreaStyle Vineyards()
        {
            AreaStyle areaStyle = new AreaStyle();
            areaStyle.Advanced.FillCustomBrush = new GeoHatchBrush(GeoHatchStyle.Percent70, new GeoColor(255, 180, 225, 169), new GeoColor(255, 204, 153, 0));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Vineyards";
            return areaStyle;
        }

        public static AreaStyle Landfill()
        {
            AreaStyle areaStyle = new AreaStyle();
            areaStyle.Advanced.FillCustomBrush = new GeoHatchBrush(GeoHatchStyle.Percent90, new GeoColor(255, 183, 182, 147), new GeoColor(255, 102, 102, 102));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Landfill";
            return areaStyle;
        }

        public static AreaStyle Railway()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 230, 230, 230)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Railway";
            return areaStyle;
        }

        public static AreaStyle Cemetery()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 223, 219, 213)), new GeoSolidBrush(new GeoColor(255, 219, 223, 213)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Cemetery";
            return areaStyle;
        }

        public static AreaStyle Quarry()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent), new GeoSolidBrush(new GeoColor(255, 225, 217, 211)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Quarry";
            return areaStyle;
        }

        public static AreaStyle Basin()
        {
            AreaStyle areaStyle = new AreaStyle();
            areaStyle.Advanced.FillCustomBrush = new GeoHatchBrush(GeoHatchStyle.Percent10, new GeoColor(255, 173, 216, 230), GeoColor.StandardColors.Transparent);
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Basin";
            return areaStyle;
        }

        public static AreaStyle VillageGreen()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 208, 236, 169)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.VillageGreen";
            return areaStyle;
        }

        public static AreaStyle RecreationGround()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 207, 236, 169)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.RecreationGround";
            return areaStyle;
        }

        public static AreaStyle Farmland()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 245, 230, 211)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Farmland";
            return areaStyle;
        }

        public static AreaStyle Industrial()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 233, 232, 223)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Industrial";
            return areaStyle;
        }

        public static AreaStyle Retail()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 243, 235, 245)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Retail";
            return areaStyle;
        }

        public static AreaStyle Commercial()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 235, 235, 245)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Commercial";
            return areaStyle;
        }

        public static AreaStyle Forest()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 197, 217, 185)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Forest";
            return areaStyle;
        }

        public static AreaStyle Military()
        {
            AreaStyle areaStyle = new AreaStyle();
            areaStyle.Advanced.FillCustomBrush = new GeoHatchBrush(GeoHatchStyle.BackwardDiagonal, new GeoColor(125, 200, 200, 200), new GeoColor(125, 225, 225, 225));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Military";
            return areaStyle;
        }

        public static AreaStyle Meadow()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 208, 236, 169)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Meadow";
            return areaStyle;
        }

        public static AreaStyle Grass()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 207, 235, 169)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Grass";
            return areaStyle;
        }

        public static AreaStyle Residential()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 245, 235, 235)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Residential";
            return areaStyle;
        }

        public static AreaStyle Park()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 211, 226, 190)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Park";
            return areaStyle;
        }

        public static AreaStyle School()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 240, 240, 216)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.School";
            return areaStyle;
        }

        public static AreaStyle Beach()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 254, 249, 229)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Beach";
            return areaStyle;
        }

        public static AreaStyle Grassland()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 214, 225, 198)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Grassland";
            return areaStyle;
        }

        public static AreaStyle Heath()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 213, 215, 182)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Heath";
            return areaStyle;
        }

        public static AreaStyle Mud()
        {
            AreaStyle areaStyle = new AreaStyle();
            areaStyle.Advanced.FillCustomBrush = new GeoHatchBrush(GeoHatchStyle.Percent90, new GeoColor(255, 230, 223, 216), new GeoColor(255, 125, 95, 63));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Mud";
            return areaStyle;
        }

        public static AreaStyle Wood()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 206, 215, 193)), new GeoSolidBrush(new GeoColor(255, 206, 215, 193)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Wood";
            return areaStyle;
        }

        public static AreaStyle Sand()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 250, 246, 230)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Sand";
            return areaStyle;
        }

        public static AreaStyle Wetland()
        {
            AreaStyle areaStyle = new AreaStyle();
            areaStyle.Advanced.FillCustomBrush = new GeoHatchBrush(GeoHatchStyle.Percent25, new GeoColor(255, 173, 216, 230), new GeoColor(80, 204, 255, 255));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Wetland";
            return areaStyle;
        }

        public static AreaStyle Scrub()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 209, 215, 195)), new GeoSolidBrush(new GeoColor(255, 209, 225, 167)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Scrub";
            return areaStyle;
        }

        public static AreaStyle SwimmingPool()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 153, 204, 255)), new GeoSolidBrush(new GeoColor(255, 224, 255, 255)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.SwimmingPool";
            return areaStyle;
        }

        public static AreaStyle Marina()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 168, 184, 245)) { DashStyle = LineDashStyle.Dash }, new GeoSolidBrush(GeoColors.Transparent));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Marina";
            return areaStyle;
        }

        public static AreaStyle WaterPark()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 168, 184, 245)) { DashStyle = LineDashStyle.Custom, DashPattern = { 2, 2 } }, new GeoSolidBrush(GeoColors.Transparent));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.WaterPark";
            return areaStyle;
        }

        public static AreaStyle Track()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 120, 220, 188)), new GeoSolidBrush(new GeoColor(255, 166, 225, 203)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Track";
            return areaStyle;
        }

        public static AreaStyle Common()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 208, 236, 169)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Common";
            return areaStyle;
        }

        public static AreaStyle Pitch()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 138, 210, 174)), new GeoSolidBrush(new GeoColor(255, 205, 219, 186)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Pitch";
            return areaStyle;
        }

        public static AreaStyle Stadium()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 55, 206, 155)), new GeoSolidBrush(new GeoColor(255, 158, 225, 200)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Stadium";
            return areaStyle;
        }

        public static AreaStyle SportsCenter()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 188, 228, 206)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.SportsCenter";
            return areaStyle;
        }

        public static AreaStyle Playground()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 139, 210, 175)), new GeoSolidBrush(new GeoColor(255, 206, 246, 202)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Playground";
            return areaStyle;
        }

        public static AreaStyle Golfcourse()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 183, 227, 225)), new GeoSolidBrush(new GeoColor(255, 182, 227, 182)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Golfcourse";
            return areaStyle;
        }

        public static AreaStyle Garden()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 208, 236, 169)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Garden";
            return areaStyle;
        }

        public static AreaStyle DogPark()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 208, 236, 170)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.DogPark";
            return areaStyle;
        }

        public static AreaStyle NatureReserve()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 229, 232, 221)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.NatureReserve";
            return areaStyle;
        }

        public static AreaStyle Zoo()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 205, 246, 202)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Zoo";
            return areaStyle;
        }

        public static AreaStyle Attraction()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 225, 202, 219)), new GeoSolidBrush(new GeoColor(255, 244, 220, 237)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Attraction";
            return areaStyle;
        }

        public static AreaStyle Parking()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 240, 238, 233)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Parking";
            return areaStyle;
        }

        public static AreaStyle Aerodrome()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 233, 230, 225)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Aerodrome";
            return areaStyle;
        }

        public static AreaStyle Helipad()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 187, 187, 205)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Helipad";
            return areaStyle;
        }

        public static Style Building()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 204, 204, 204)), new GeoSolidBrush(new GeoColor(255, 245, 242, 238)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Building";
            return areaStyle;
        }

        public static Style BuildingShadow(float width, float xOffsetInPixel, float yOffsetInPixel)
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 204, 204, 204)) { Width = width }, new GeoSolidBrush(new GeoColor(255, 204, 204, 204))) { XOffsetInPixel = xOffsetInPixel, YOffsetInPixel = yOffsetInPixel };
            areaStyle.StyleClass = "WorldStreetsAreaStyles.BuildingShadow";
            return areaStyle;
        }

        public static AreaStyle PowerStation()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 189, 189, 188)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.PowerStation";
            return areaStyle;
        }

        public static AreaStyle Apron()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(new GeoColor(255, 165, 165, 180)), new GeoSolidBrush(new GeoColor(255, 197, 197, 215)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Apron";
            return areaStyle;
        }

        public static AreaStyle Runway()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 194, 193, 207)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Runway";
            return areaStyle;
        }

        public static AreaStyle Pier()
        {
            AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColors.Transparent, 0), new GeoSolidBrush(new GeoColor(255, 250, 248, 246)));
            areaStyle.StyleClass = "WorldStreetsAreaStyles.Pier";
            return areaStyle;
        }
    }
}